Package org.eclipse.mat.query.registry

## Class QueryObjectLink

- java.lang.Object
- - org.eclipse.mat.query.registry.QueryObjectLink

    public final class QueryObjectLink
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `QueryObjectLink.Type`

### Field Summary

Fields
`static java.lang.String` `PROTOCOL`

### Constructor Summary

Constructors
`QueryObjectLink​(QueryObjectLink.Type type, java.lang.String target)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static java.lang.String` `forDetailResult​(DetailResultProvider provider, java.lang.String identifier)`
`static java.lang.String` `forObject​(java.lang.String identifier)`
`static java.lang.String` `forQuery​(java.lang.String query)`
`static java.lang.String` `forType​(QueryObjectLink.Type type, java.lang.String target)`
`java.lang.String` `getTarget()`
`QueryObjectLink.Type` `getType()`
`java.lang.String` `getURL()`
`static QueryObjectLink` `parse​(java.lang.String url)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROTOCOL

    public static final java.lang.String PROTOCOL

See Also:
  Constant Field Values

### Constructor Detail

#### QueryObjectLink

    public QueryObjectLink​(QueryObjectLink.Type type,
                           java.lang.String target)

### Method Detail

#### getType

    public QueryObjectLink.Type getType()

#### getTarget

    public java.lang.String getTarget()

#### getURL

    public java.lang.String getURL()

#### forQuery

    public static final java.lang.String forQuery​(java.lang.String query)

#### forObject

    public static final java.lang.String forObject​(java.lang.String identifier)

#### forDetailResult

    public static final java.lang.String forDetailResult​(DetailResultProvider provider,
                                                         java.lang.String identifier)

#### forType

    public static final java.lang.String forType​(QueryObjectLink.Type type,
                                                 java.lang.String target)

#### parse

    public static QueryObjectLink parse​(java.lang.String url)

Parameters:
  `url` - The String representation of a Memory Analyzer URL, starting mat://
Returns:
  null if the URL does not present a proper Memory Analyzer Object otherwise an internal MAT representation of the URL.